Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424099 - player: FTBFS in rawhide
Summary: player: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: player
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS 1423081 1423591 1424472
TreeView+ depends on / blocked
 
Reported: 2017-02-17 15:54 UTC by Fedora Release Engineering
Modified: 2017-04-01 17:15 UTC (History)
4 users (show)

Fixed In Version: player-3.0.2-58.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:15:42 UTC
Type: ---


Attachments (Terms of Use)
build.log (104.70 KB, text/plain)
2017-02-17 15:54 UTC, Fedora Release Engineering
no flags Details
root.log (202.03 KB, text/plain)
2017-02-17 15:54 UTC, Fedora Release Engineering
no flags Details
state.log (619 bytes, text/plain)
2017-02-17 15:54 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 15:54:18 UTC
Your package player failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17782307

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 15:54:24 UTC
Created attachment 1253598 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 15:54:29 UTC
Created attachment 1253599 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 15:54:32 UTC
Created attachment 1253600 [details]
state.log

Comment 4 Jonathan Wakely 2017-02-18 00:46:45 UTC
/builddir/build/BUILD/player-3.0.2/libplayerinterface/interface_util.c:51:10: fatal error: interface_table.h: No such file or directory
 #include "interface_table.h"
          ^~~~~~~~~~~~~~~~~~~

I think this is a generated file, but it's not being generated for some reason.

Comment 5 Fedora End Of Life 2017-02-28 11:56:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Rich Mattes 2017-03-01 00:08:38 UTC
(In reply to Jonathan Wakely from comment #4)
> /builddir/build/BUILD/player-3.0.2/libplayerinterface/interface_util.c:51:10:
> fatal error: interface_table.h: No such file or directory
>  #include "interface_table.h"
>           ^~~~~~~~~~~~~~~~~~~
> 
> I think this is a generated file, but it's not being generated for some
> reason.

Thanks for taking a look.  Yeah, that's a generated file.  The script that generates it is a python2 script, so if there's a python3 interpreter as /usr/bin/python then it won't work.  I fixed it upstream so that it works with both python2 and python3, I'll either backport it or cut a release upstream and import it.

Comment 7 Fedora Update System 2017-03-20 00:51:13 UTC
player-3.0.2-58.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cce74b5a81

Comment 8 Fedora Update System 2017-03-21 14:24:14 UTC
player-3.0.2-58.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cce74b5a81

Comment 9 Fedora Update System 2017-04-01 17:15:42 UTC
player-3.0.2-58.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.